<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>
			{% block title %}{% endblock %}
			- Orléans Joue</title>
		<link rel="icon" href="{{ asset('/images/favicon-192x192.png')}}">
		<link href="https://fonts.googleapis.com/css?family=Quicksand&display=swap" rel="stylesheet">

		<link rel="stylesheet" href="{{ asset('/font-awesome/css/all.min.css') }}">
		<script src="{{ asset('/font-awesome/js/all.min.js') }}" charset="utf-8"></script>

		{% block stylesheets %}
			{{ encore_entry_link_tags('app') }}
		{% endblock %}
	</head>
	<body class="font-quicksand">

		<nav class="fixed relative top-0 z-50 flex flex-wrap items-center justify-between w-full p-6 bg-gray-800 shadow-xl bg-nav">
			<div class="flex items-center flex-shrink-0 text-white">
				<a class="text-white no-underline hover:text-white hover:no-underline" href="#">
					<a href="{{ path('homepage') }}" class="{% if app.request.get('_route') == 'homepage' %}bg-white text-black{% endif %} px-3 py-2 text-base font-medium rounded-md text-white focus:outline-none focus:text-black hover:bg-white hover:text-black">Accueil</a>
				</a>
			</div>

			<!-- switcher -->
			<div class="flex -mr-2 md:hidden">
				<button id="nav-toggle" class="inline-flex items-center justify-center p-2 text-white rounded-md hover:text-black hover:bg-white focus:outline-none focus:bg-white focus:text-black">
					<svg class="w-6 h-6" stroke="currentColor" fill="none" viewbox="0 0 24 24">
						<path class="inline-flex" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16"/>
						<path class="hidden" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12"/>
					</svg>
				</button>
			</div>
			<!-- end switcher -->

			<div class="flex-grow hidden w-full pt-6 md:flex md:items-center md:w-auto md:block md:pt-0" id="nav-content">
				<div class="flex flex-col items-start justify-start flex-1 md:flex-row md:items-center">
					{% if is_granted('ROLE_SUPER_ADMIN') %}
						<a href="{{ path('edition_index') }}" class="{% if app.request.get('_route') == 'edition_index' %}bg-white text-black{% endif %} my-1 md:my-0 px-3 py-2 ml-4 text-base font-medium text-white rounded-md hover:text-black hover:bg-white focus:outline-none focus:text-black focus:bg-white">Édition</a>
					{% endif %}
					{% if is_granted('ROLE_SUPER_ADMIN') and editionExist() %}
						<a href="{{ path('activity_index') }}" class="{% if app.request.get('_route') == 'activity_index' %}bg-white text-black{% endif %} my-1 md:my-0 px-3 py-2 ml-4 text-base font-medium text-white rounded-md hover:text-black hover:bg-white focus:outline-none focus:text-black focus:bg-white">Activités</a>
					{% endif %}
					{% if (is_granted('ROLE_SUPER_ADMIN') and editionParticipationExist()) or ((is_granted('ROLE_SUPER_ADMIN') or (is_granted('ROLE_RESPONSABLE')) and userHasSociety(app.user)) and (editionIsOpen() or participationIsExist(app.user))) %}
						<a href="{{ path('participation_index') }}" class="{% if app.request.get('_route') == 'participation_index' %}bg-white text-black{% endif %} my-1 md:my-0 px-3 py-2 ml-4 text-base font-medium text-white rounded-md hover:text-black hover:bg-white focus:outline-none focus:text-black focus:bg-white">Inscription exposant</a>
					{% endif %}
					{% if (is_granted('ROLE_SUPER_ADMIN') and editionParticipationExist()) or ((is_granted('ROLE_SUPER_ADMIN') or (is_granted('ROLE_RESPONSABLE')) and userHasSociety(app.user)) and participationIsExist(app.user)) %}
						<a href="{{ path('game_index') }}" class="{% if app.request.get('_route') == 'game_index' %}bg-white text-black{% endif %} my-1 md:my-0 px-3 py-2 ml-4 text-base font-medium text-white rounded-md hover:text-black hover:bg-white focus:outline-none focus:text-black focus:bg-white">Jeux</a>
					{% endif %}
					{% if (is_granted('ROLE_SUPER_ADMIN') or is_granted('ROLE_BENEVOLE')) and (participeEdition() or volunteerHasProposition(app.user)) and activityEditionExist() %}
						<a href="{{ path('proposition_index') }}" class="{% if app.request.get('_route') == 'proposition_index' %}bg-white text-black{% endif %} my-1 md:my-0 px-3 py-2 ml-4 text-base font-medium text-white rounded-md hover:text-black hover:bg-white focus:outline-none focus:text-black focus:bg-white">Inscription bénévole</a>
					{% endif %}
					{% if is_granted('ROLE_SUPER_ADMIN') and editionPropositionExist() %}
						<a href="{{ path('admin_proposition') }}" class="{% if app.request.get('_route') == 'admin_proposition' %}bg-white text-black{% endif %} my-1 md:my-0 px-3 py-2 ml-4 text-base font-medium text-white rounded-md hover:text-black hover:bg-white focus:outline-none focus:text-black focus:bg-white">Participations bénévoles</a>
                    {% endif %}
					{% if is_granted('ROLE_SUPER_ADMIN') %}
						<a href="{{ path('user_index') }}" class="{% if app.request.get('_route') == 'user_index' %}bg-white text-black{% endif %} my-1 md:my-0 px-3 py-2 ml-4 text-base font-medium text-white rounded-md hover:text-black hover:bg-white focus:outline-none focus:text-black focus:bg-white">Utilisateurs</a>
					{% endif %}

					{% if app.user %}
						<a href="{{ path('user_profile') }}" class="{% if app.request.get('_route') == 'user_profile' %}bg-white text-black{% endif %} my-1 md:my-0 px-3 py-2 ml-4 text-base font-medium text-white rounded-md hover:text-black hover:bg-white focus:outline-none focus:text-black focus:bg-white">Profil</a>
					{% endif %}

					<div class="flex flex-col items-start justify-start flex-1 flex-grow md:justify-end md:flex-row md:items-center">
						{% if app.user %}
							<a href="{{ path('app_logout') }}" class="px-3 py-2 my-1 ml-4 text-base font-semibold text-white bg-transparent border border-white rounded md:my-0 hover:bg-white hover:text-black focus:outline-none">Se déconnecter</a>
						{% else %}
							<a href="{{ path('app_login') }}" class="px-3 py-2 my-1 ml-4 text-base font-medium text-white rounded-md md:my-0 hover:text-black hover:bg-white focus:outline-none focus:text-black focus:bg-white">Se connecter</a>
							<a href="{{ path('app_register') }}" class="px-3 py-2 my-1 ml-4 text-base font-semibold text-white bg-transparent border border-white rounded md:my-0 hover:bg-white hover:text-black focus:outline-none">S'inscrire</a>
						{% endif %}
					</div>
				</div>
			</div>
		</nav>

		<script>
		// toggle the menu
		document.querySelector('#nav-toggle').onclick = function() {
			document.querySelector("#nav-content").classList.toggle("hidden");
		}
		</script>


		{% block body %}{% endblock %}

		{% block javascripts %}
		{{ encore_entry_script_tags('app') }}
		{% endblock %}
	</body>
</html>
